#include "../misc/includesp.h"
#include <thread>



void mainprotect() {
	std::thread(antisuspendthread).detach();
	std::thread(check_integrity).detach();
	std::thread(hidethread).detach();
	std::thread(selfcode).detach();
	std::thread(AntiAttach).detach();
	std::thread(remotepresent).detach();
	std::thread(contextthread).detach();
	std::thread(debugstring).detach();
	std::thread(processProtect).detach();
	//std::thread(AntiSuspend).detach();
	std::thread(AntiEmulator).detach();
}